Botan 1.10.17

cvc_req.h
Go to the documentation of this file.
1 /*
2 * EAC1_1 CVC Request
3 * (C) 2008 Falko Strenzke
4 * 2010 Jack Lloyd
5 *
6 * Distributed under the terms of the Botan license
7 */
8
9 #ifndef BOTAN_EAC_CVC_REQ_H__
10 #define BOTAN_EAC_CVC_REQ_H__
11
12 #include <botan/cvc_gen_cert.h>
13
14 namespace Botan {
15
16 /**
17 * This class represents TR03110 v1.1 EAC CV Certificate Requests.
18 */
19 class BOTAN_DLL EAC1_1_Req : public EAC1_1_gen_CVC<EAC1_1_Req>
20 {
21 public:
22 friend class EAC1_1_ADO;
23 friend class EAC1_1_obj<EAC1_1_Req>;
24
25 /**
26 * Compare for equality with other
27 * @param other compare for equality with this object
28 */
29 bool operator==(const EAC1_1_Req& other) const;
30
31 /**
32 * Construct a CVC request from a data source.
33 * @param source the data source
34 */
35 EAC1_1_Req(DataSource& source);
36
37 /**
38 * Construct a CVC request from a DER encoded CVC request file.
39 * @param str the path to the DER encoded file
40 */
41 EAC1_1_Req(const std::string& str);
42
43 virtual ~EAC1_1_Req(){}
44 private:
45 void force_decode();
46 EAC1_1_Req() {}
47 };
48
49 /*
50 * Comparison Operator
51 */
52 inline bool operator!=(EAC1_1_Req const& lhs, EAC1_1_Req const& rhs)
53 {
54 return !(lhs == rhs);
55 }
56
57 }
58
59 #endif
Botan::EAC1_1_Req
Definition: cvc_req.h:19
Botan::operator!=
bool operator!=(const OctetString &s1, const OctetString &s2)
Definition: symkey.cpp:106
Botan::operator==
bool operator==(const OctetString &s1, const OctetString &s2)
Definition: symkey.cpp:98
Botan::EAC1_1_Req::~EAC1_1_Req
virtual ~EAC1_1_Req()
Definition: cvc_req.h:43
Botan::DataSource
Definition: data_src.h:20
Botan
Definition: algo_base.h:14
Botan::EAC1_1_obj
Definition: eac_obj.h:20
Botan::EAC1_1_ADO
Definition: cvc_ado.h:23
Botan::EAC1_1_gen_CVC
Definition: cvc_gen_cert.h:23